astropy:docs

- Index
- Modules

### Navigation

- imexam v0.5 »

# Imexamine

class `imexam.imexamine.``Imexamine`

  Bases: `object`

  do imexamine like routines on the current frame

  read the returned cursor key value to decide what to do

  region_size is the default radius or side of the square for stat info

  Methods Summary

  `aper_phot`(x, y, data) | Perform aperture photometry, uses photutils functions, photutils must be available
  `column_fit`(x, y, data[, form, subsample, fig]) | compute the 1d fit to the column of data
  `contour_plot`(x, y, data[, fig]) | plot contours in a region around the specified location
  `curve_of_growth_plot`(x, y, data[, fig]) | display the radial profile plot for the star
  `do_option`(x, y, key) | run the option
  `gauss_center`(x, y, data[, delta]) | return the 2d gaussian fit center
  `get_options`() | return the imexam options as a key list
  `get_plot_name`() | return the default plot name
  `histogram_plot`(x, y, data[, fig]) | plot a histogram of the pixel values in a region around the specified location
  `line_fit`(x, y, data[, form, subsample, fig]) | compute the 1d fit to the line of data using the specified form
  `new_plot_window`(x, y, data) | make the next plot in a new plot window
  `option_descrip`(key[, field]) | return the looked up dictionary of options
  `plot_column`(x, y, data[, fig]) | column plot of data at point y
  `plot_line`(x, y, data[, fig]) | line plot of data at point x
  `print_options`() | print the imexam options to screen
  `register`(user_funcs) | register a new imexamine function made by the user so that it becomes an option
  `report_stat`(x, y, data) | report the median of values in a box with side region_size
  `reset_defpars`() | set all pars to their defaults
  `save_figure`(x, y, data) | save the figure that’s currently displayed
  `set_aperphot_pars`([user_dict]) | the user may supply a dictionary of par settings
  `set_colplot_pars`() | set parameters for column plots
  `set_column_fit_pars`() | set parameters for 1D line fit plots
  `set_contour_pars`() | set parameters for histogram plots
  `set_data`([data, dtype]) | initialize the data that imexamine uses
  `set_histogram_pars`() | set parameters for histogram plots
  `set_line_fit_pars`() | set parameters for 1D line fit plots
  `set_lineplot_pars`() | set parameters for line plots
  `set_plot_name`([filename]) | set the default plot name for the “s” key
  `set_radial_pars`() | set parameters for radial profile plots
  `set_surface_pars`() | set parameters for surface plots
  `show_xy_coords`(x, y, data) | print the x,y,value to the screen
  `surface_plot`(x, y, data[, fig]) | plot a surface around the specified location
  `unlearn_all`() | reset the default parameters for all functions

  Methods Documentation

  `aper_phot`(x, y, data)

    Perform aperture photometry, uses photutils functions, photutils must be available

  `column_fit`(x, y, data, form=None, subsample=4, fig=None)

    compute the 1d fit to the column of data

    Parameters:

    form: string

    > This is the functional form specified line fit parameters Currently gaussian or moffat

    subsample: int

    > used to draw the fitted gaussian

    Notes

    delta is the range of data values to use around the x,y location The background is currently ignored if centering is True, then the center is fit with a 2d gaussian

  `contour_plot`(x, y, data, fig=None)

    plot contours in a region around the specified location

  `curve_of_growth_plot`(x, y, data, fig=None)

    display the radial profile plot for the star

  `do_option`(x, y, key)

    run the option

    Parameters:

    x: int

    > The x location of the cursor or data point

    y: int

    > The y location of the cursor or data point

    key: string

    > The key which was pressed

  `gauss_center`(x, y, data, delta=10)

    return the 2d gaussian fit center

    Parameters:

    delta: int

    > The range of data values to use around the x,y location for calculating the center

  `get_options`()

    return the imexam options as a key list

  `get_plot_name`()

    return the default plot name

  `histogram_plot`(x, y, data, fig=None)

    plot a histogram of the pixel values in a region around the specified location

  `line_fit`(x, y, data, form=None, subsample=4, fig=None)

    compute the 1d fit to the line of data using the specified form

    Parameters:

    form: string

    > This is the functional form specified line fit parameters Currently gaussian or moffat

    subsample: int

    > used to draw the fitted function on a finer scale than the data delta is the range of data values to use around the x,y location form is the functional form to use

    Notes

    The background is currently ignored

    If centering is True in the parameter set, then the center is fit with a 2d gaussian

  `new_plot_window`(x, y, data)

    make the next plot in a new plot window

    Notes

    x,y, data, are not used here, but the calls are setup to take them for all imexam options. Is there a better way to do the calls in general? Once the new plotting window is open all plots will be directed towards it The old window cannot be used again.

  `option_descrip`(key, field=1)

    return the looked up dictionary of options

    Parameters:

    key: string

    > The key which was pressed, it relates to the function to call

    field: int

    > This tells where in the option dictionary the function name can be found

  `plot_column`(x, y, data, fig=None)

    column plot of data at point y

  `plot_line`(x, y, data, fig=None)

    line plot of data at point x

  `print_options`()

    print the imexam options to screen

  `register`(user_funcs)

    register a new imexamine function made by the user so that it becomes an option

    Parameters:

    user_funcs: dict

    > Contains a dictionary where each key is the binding for the (function,description) tuple

    Notes

    The new binding will be added to the dictionary of imexamine functions as long as the key is unique The new functions do not have to have default dictionaries associated with them imexam_option_funcs = {‘a’: (self.aper_phot, ‘aperture sum, with radius region_size ‘) ->tuple example

  `report_stat`(x, y, data)

    report the median of values in a box with side region_size

  `reset_defpars`()

    set all pars to their defaults

  `save_figure`(x, y, data)

    save the figure that’s currently displayed

  `set_aperphot_pars`(user_dict=None)

    the user may supply a dictionary of par settings

  `set_colplot_pars`()

    set parameters for column plots

  `set_column_fit_pars`()

    set parameters for 1D line fit plots

  `set_contour_pars`()

    set parameters for histogram plots

  `set_data`(data=array(, []dtype=float64))

    initialize the data that imexamine uses

  `set_histogram_pars`()

    set parameters for histogram plots

  `set_line_fit_pars`()

    set parameters for 1D line fit plots

  `set_lineplot_pars`()

    set parameters for line plots

  `set_plot_name`(filename=None)

    set the default plot name for the “s” key

    Parameters:

    filename: string

    > The name which is used to save the current plotting window to a file The extension on the name decides which file type is used

  `set_radial_pars`()

    set parameters for radial profile plots

  `set_surface_pars`()

    set parameters for surface plots

  `show_xy_coords`(x, y, data)

    print the x,y,value to the screen

  `surface_plot`(x, y, data, fig=None)

    plot a surface around the specified location

    “ncolumns”:[21,”Number of columns”], “nlines”:[21,”Number of lines”], “angh”:[-33.,”Horizontal viewing angle in degrees”], “angv”:[25.,”Vertical viewing angle in degrees”], “floor”:[None,”Minimum value to be contoured”], “ceiling”:[None,”Maximum value to be contoured”],

  `unlearn_all`()

    reset the default parameters for all functions

    Haven’t decided how to reset the parameters for just one function yet